<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::qc_helpers::combine_gates&lt; T, U, V, typename enable_if_c&lt;(is_composite_gate&lt; U &gt;::value==true)&gt;::type &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><b>qc_helpers</b></li><li class="navelem"><a class="el" href="structdlib_1_1qc__helpers_1_1combine__gates_3_01_t_00_01_u_00_01_v_00_01typename_01enable__if__c344350ce1b57aadf96be3874a7d36396.html">combine_gates&lt; T, U, V, typename enable_if_c&lt;(is_composite_gate&lt; U &gt;::value==true)&gt;::type &gt;</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="structdlib_1_1qc__helpers_1_1combine__gates_3_01_t_00_01_u_00_01_v_00_01typename_01enable__if__cb890ddf69d28ea5c3d0656f1fa80a985.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::qc_helpers::combine_gates&lt; T, U, V, typename enable_if_c&lt;(is_composite_gate&lt; U &gt;::value==true)&gt;::type &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a7eef82a34d629e0c0a1ef129db902ed8"><td class="memItemLeft" align="right" valign="top"><a id="a7eef82a34d629e0c0a1ef129db902ed8"></a>
typedef <a class="el" href="structdlib_1_1qc__helpers_1_1combine__gates.html">combine_gates</a>&lt; typename U::lhs_type, typename U::rhs_type, V &gt;::<a class="el" href="classdlib_1_1composite__gate.html">result_type</a>&#160;</td><td class="memItemRight" valign="bottom"><b>inner_type</b></td></tr>
<tr class="separator:a7eef82a34d629e0c0a1ef129db902ed8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bd209b4dc5447a2625eb7df17f9c35f"><td class="memItemLeft" align="right" valign="top"><a id="a0bd209b4dc5447a2625eb7df17f9c35f"></a>
typedef <a class="el" href="classdlib_1_1composite__gate.html">composite_gate</a>&lt; T, inner_type &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>result_type</b></td></tr>
<tr class="separator:a0bd209b4dc5447a2625eb7df17f9c35f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a030018e2a46dd8fb555a0c6c7bb72a78"><td class="memItemLeft" align="right" valign="top"><a id="a030018e2a46dd8fb555a0c6c7bb72a78"></a>
static const <a class="el" href="classdlib_1_1composite__gate.html">result_type</a>&#160;</td><td class="memItemRight" valign="bottom"><b>eval</b> (const <a class="el" href="classdlib_1_1composite__gate.html">composite_gate</a>&lt; T, U &gt; &amp;lhs, const <a class="el" href="classdlib_1_1gate__exp.html">gate_exp</a>&lt; V &gt; &amp;rhs)</td></tr>
<tr class="separator:a030018e2a46dd8fb555a0c6c7bb72a78"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="quantum__computing_2quantum__computing_8h_source.html">quantum_computing/quantum_computing.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
